# $Revision: 1.17 $, $Date: 2002/09/22 22:15:03 $
#
# Conditional build:
# _without_tests - do not perform "make test"
#

%ifarch ppc
%define		_without_tests 1
%endif

%include	/usr/lib/rpm/macros.perl
%define		pdir	BerkeleyDB
%define		pnam	BerkeleyDB
Summary:	BerkeleyDB - Perl extension for Berkeley DB version 2, 3 or 4
Summary(pl):	BerkeleyDB - rozszerzenie Perla do baz Berkeley DB w wersji 2, 3 lub 4
Name:		perl-BerkeleyDB
Version:	0.20
Release:	3
License:	GPL
Group:		Development/Languages/Perl
Source0:	ftp://ftp.cpan.org/pub/CPAN/modules/by-module/%{pdir}/%{pnam}-%{version}.tar.gz
BuildRequires:	db3-devel
BuildRequires:	perl-devel >= 5.6
BuildRequires:	rpm-perlprov >= 3.0.3-16
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This Perl module provides an interface to most of the functionality
available in Berkeley DB versions 2, 3 and 4. In general it is safe to
assume that the interface provided here to be identical to the
Berkeley DB interface. The main changes have been to make the Berkeley
DB API work in a Perl way. Note that if you are using Berkeley DB 2.x,
the new features available in Berkeley DB 3.x or DB 4.x are not
available via this module.

%description -l pl
Ten modu Perla dostarcza interfejs do wikszoci funkcjonalnoci
dostpnej w bazach danych Berkeley DB w wersji 2, 3 i 4. Mona
przyj, e ten interfejs jest identyczny z interfejsem Berkeley DB.
Gwne zmiany zostay poczynione po to, by API DB dziaao na sposb
perlowy. W przypadku uywania Berkeley DB 2.x nowe moliwoci dostpne
dopiero w DB 3.x lub DB 4.x nie bd dostpne poprzez ten modu.

%prep
%setup -q -n %{pnam}-%{version}

%build
perl Makefile.PL
%{__make} OPTIMIZE="%{rpmcflags}" CC="%{__cc}"

%{!?_without_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README Changes Todo
%{perl_sitearch}/BerkeleyDB
%{perl_sitearch}/BerkeleyDB.pm
%dir %{perl_sitearch}/auto/BerkeleyDB
%{perl_sitearch}/auto/BerkeleyDB/*.bs
%{perl_sitearch}/auto/BerkeleyDB/autosplit.ix
%attr(755,root,root) %{perl_sitearch}/auto/BerkeleyDB/*.so
%{_mandir}/man3/*

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: perl-BerkeleyDB.spec,v $
Revision 1.17  2002/09/22 22:15:03  marcus
- disabling tests on ppc
- rel.3.

Revision 1.16  2002/09/18 20:58:35  ankry
- added tests on bcond; added autosplit.ix
- release 2

Revision 1.15  2002/09/08 11:02:32  radek
- version 0.20
- removed empty autosplit.ix
STBR

Revision 1.14  2002/08/14 19:58:01  qboosh
- pl description, release 6

Revision 1.13  2002/08/11 10:51:08  radek
- informative summary/description, release++, STBR

Revision 1.12  2002/07/27 21:25:08  ankry
- autosplit.ix, *.bs are back
- release 4

Revision 1.11  2002/07/18 23:54:16  ankry
- added manpage
- new %%doc
- removed autosplit.ix, *.pod
- release 3

Revision 1.10  2002/07/18 13:25:18  ankry
- translations, cleaning
- new %%doc
- added %%{perl_sitelib}/auto/News
- release 2

Revision 1.9  2002/07/18 08:59:55  kloczek
- updated to 0.19 and use new %%doc.

Revision 1.8  2002/05/11 14:28:05  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.7  2002/03/03 21:55:54  marcus
- rel.2.

Revision 1.6  2002/02/22 23:29:25  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.5  2002/02/10 15:24:04  depesz
adapterized

Revision 1.4  2002/02/09 12:59:37  depesz
- unified source path

Revision 1.3  2002/01/18 02:14:11  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.2  2002/01/12 15:54:45  kloczek
- cosmetics.

Revision 1.1  2002/01/11 20:28:07  misiek
- initial pld release
